> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Search User Groups

> Searches for user groups in the workspace. Multiple or no groups may be returned.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/workspace/groups/search
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/workspace/groups/search:
    get:
      tags:
        - workspace
      summary: Search User Groups
      description: >-
        Searches for user groups in the workspace. Multiple or no groups may be
        returned.
      operationId: search_groups
      parameters:
        - name: name
          in: query
          required: true
          schema:
            type: string
            description: Name of the target group.
            title: Name
          description: Name of the target group.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorkspaceGroupByNameResponseModel'
                title: Response Search User Groups V1 Workspace Groups Search Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WorkspaceGroupByNameResponseModel:
      properties:
        name:
          type: string
          title: Name
          description: The name of the workspace group.
        id:
          type: string
          title: Id
          description: The ID of the workspace group.
        members_emails:
          items:
            type: string
          type: array
          title: Members Emails
          description: The emails of the members of the workspace group.
      type: object
      required:
        - name
        - id
        - members_emails
      title: WorkspaceGroupByNameResponseModel
      example:
        id: '1234567890'
        members_emails:
          - john.doe@example.com
          - jane.smith@example.com
        name: My Workspace Group
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````